Get artist recent listeners ordered by most recent scrobble
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistRecentListeners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistRecentListeners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistRecentListeners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listeners": [
{
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"scrobbleUri": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.artist
Get artist recent listeners ordered by most recent scrobble
GET
/
app.rocksky.artist.getArtistRecentListeners
Get artist recent listeners ordered by most recent scrobble
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The URI of the artist to retrieve recent listeners from
Number of items to skip before returning results
Maximum number of results to return
Response
OK
Show child attributes
Show child attributes
⌘I